> This page is for version API (default).
> For other versions, use one of these documentation indexes:
> - API (default): https://docs.getthera.com/api/llms.txt
> - API + Legacy Read: https://docs.getthera.com/api-legacy-read/llms.txt
> - API + Legacy Full: https://docs.getthera.com/api-legacy-full/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getthera.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getthera.com/_mcp/server.

# Get all account Transactions

GET https://api.getthera.com/companies/{companyId}/fetch-transactions/{accountId}

Get all account Transactions

Reference: https://docs.getthera.com/thera-api/company/tp-api/transaction-history

## Authentication

- `X-Thera-API-Key` header (required) — API Key authentication via header

## Servers

- `https://api.getthera.com` (Production, default)
- `https://api.staging.getthera.com` (Staging)

## Request

### Path parameters

- `companyId` (string, required)
- `accountId` (string, required)

## Response

### 200

- `list of TpTransactionHistory`

## Types

### TpTransactionHistory

- `amount` (string, required)
- `date` (string, required)
- `balance` (string, required)
- `id` (string, required)
- `book_id` (string, required)
- `type` (string, required)
- `extended_timestamp` (string, required)
- `ach_id` (string, required)
- `wire_id` (string, required)
- `card_id` (string, required)
- `trace_id` (string, required)
- `name_on_account` (string, required)
- `fromAccountName` (string, required)
- `toAccountName` (string, required)
- `counterPartyId` (string, required)
- `account_id` (string, required)
- `userdata` (map from string to any, optional)
- `desc` (string, optional)
- `category` (string, optional)
- `type_source` (string, optional)
- `human_readable_description` (string, optional)

## Examples

**Response**

```json
[
  {
    "amount": "amount",
    "date": "date",
    "balance": "balance",
    "id": "id",
    "book_id": "book_id",
    "type": "type",
    "extended_timestamp": "extended_timestamp",
    "ach_id": "ach_id",
    "wire_id": "wire_id",
    "card_id": "card_id",
    "trace_id": "trace_id",
    "name_on_account": "name_on_account",
    "fromAccountName": "fromAccountName",
    "toAccountName": "toAccountName",
    "counterPartyId": "counterPartyId",
    "account_id": "account_id",
    "userdata": {
      "userdata": {
        "key": "value"
      }
    },
    "desc": "desc",
    "category": "category",
    "type_source": "type_source",
    "human_readable_description": "human_readable_description"
  },
  {
    "amount": "amount",
    "date": "date",
    "balance": "balance",
    "id": "id",
    "book_id": "book_id",
    "type": "type",
    "extended_timestamp": "extended_timestamp",
    "ach_id": "ach_id",
    "wire_id": "wire_id",
    "card_id": "card_id",
    "trace_id": "trace_id",
    "name_on_account": "name_on_account",
    "fromAccountName": "fromAccountName",
    "toAccountName": "toAccountName",
    "counterPartyId": "counterPartyId",
    "account_id": "account_id",
    "userdata": {
      "userdata": {
        "key": "value"
      }
    },
    "desc": "desc",
    "category": "category",
    "type_source": "type_source",
    "human_readable_description": "human_readable_description"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.getthera.com/companies/companyId/fetch-transactions/accountId"

headers = {"X-Thera-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getthera.com/companies/companyId/fetch-transactions/accountId';
const options = {method: 'GET', headers: {'X-Thera-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getthera.com/companies/companyId/fetch-transactions/accountId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Thera-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getthera.com/companies/companyId/fetch-transactions/accountId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Thera-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getthera.com/companies/companyId/fetch-transactions/accountId")
  .header("X-Thera-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getthera.com/companies/companyId/fetch-transactions/accountId', [
  'headers' => [
    'X-Thera-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getthera.com/companies/companyId/fetch-transactions/accountId");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Thera-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Thera-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getthera.com/companies/companyId/fetch-transactions/accountId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```